Botan 1.10.17

Public Member Functions | List of all members
Botan::Pipe::Invalid_Message_Number Struct Reference

`#include <pipe.h>`

Inheritance diagram for Botan::Pipe::Invalid_Message_Number:

## Public Member Functions
| Invalid_Message_Number (const std::string &where, message_id msg)

## Detailed Description

Exception if you use an invalid message as an argument to read, remaining, etc

Definition at line 37 of file pipe.h.

## Constructor & Destructor Documentation

## ◆ Invalid_Message_Number()

Botan::Pipe::Invalid_Message_Number::Invalid_Message_Number | ( | const std::string & | where,
|  | message_id | msg
| ) |  |
| inline

Parameters

  where | the error occured
  msg | the invalid message id that was used

Definition at line 43 of file pipe.h.

43 :
44 Invalid_Argument("Pipe::" + where + ": Invalid message number " +
45 to_string(msg))
46 {}
Botan::Invalid_Argument
std::invalid_argument Invalid_Argument
Definition: exceptn.h:20
Botan::to_string
std::string to_string(u64bit n, size_t min_len)
Definition: parsing.cpp:42

The documentation for this struct was generated from the following file:

- src/filters/pipe.h